#
# spec file for package golang-google-golangorg-cloud
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-google-golangorg-cloud
Version:        0.0.0+git20150709.87a8821
Release:        5.1
Summary:        Go packages for Google Cloud Platform services
License:        Apache-2.0
Group:          Development/Languages/Other
Url:            https://code.googlesource.com/gocloud
Source:         gocloud-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  golang-packaging
BuildRequires:	golang(golang.org/x/net)
BuildRequires:	golang(google.golang.org/api)
BuildRequires:	golang(github.com/golang/protobuf)
BuildRequires:	xz
Provides:	go-gocloud = %{version}
Obsoletes:	go-gocloud < %{version}
%{go_provides}

%description
Go packages for Google Cloud Platform services. Supported APIs include:

Google Cloud Datastore
Google Cloud Storage
Google Cloud Pub/Sub
Google Cloud Container Engine

%gosrc_package

%prep
%setup -q -n gocloud-%{version}
# fix for cycle dependency on golang.org/x/oauth2 and google.golang.org/grpc
rm -rf examples bigtable option.go
rm -rf internal/testutil
find . -name "*_test.go" -delete

%build
%goprep google.golang.org/cloud
%gobuild ...

%install
%goinstall
%gosrc

%files
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS LICENSE README.md
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Tue Jan 12 2016 i@marguerite.su
- remove %%go_strip_buildep
* Sat Jul 11 2015 i@marguerite.su
- rename golang-google-golangorg-cloud
- update version 0.0.0+git20150709.87a8821
- use golang-packaging for packaging
- built without bigtable and option.go
* Wed Mar 25 2015 i@marguerite.su
- update license: Apache-2.0
* Sun Mar 22 2015 i@marguerite.su
- initial version 0.0.0+git20150319.f20d6dc
- remove examples and internal/testutil, because it will
  create a build cycle w/ go-oauth2
